------------------------
-- INFORMATION        --
------------------------
-- Chat Message Sounds v1.2
-- Created by Rich Weeds Nagel (USGN: 110755) - January 22, 2013
-- http://www.unrealsoftware.de/profile.php?userid=110755
-- richnagel@centurylink.net
-- http://www.richnagel.net
--
-- This simple Lua script for Counter-Strike 2D will play a relatively
-- unobtrusive sound effect when a player sends a chat message to all players
-- within the game (using the game's built-in "say" command), as well as a
-- slightly different sound effect when a player sends a team chat message
-- (using the game's built-in "sayteam" command).
--
-- Refer to the included "ChatMessageSounds.txt" readme file for complete
-- installation and usage instructions.

------------------------
-- SAY CHAT SOUND     --
------------------------
addhook("say","all_chat_message_sound")
function all_chat_message_sound(id,all_chat_text)
print("000255000Chat Message Sounds v1.2: All Chat Message.")
	-- All Players Chat (No Team)
	if (all_chat_text~="") then
		-- parse("sv_sound Env/Click2.wav")
		parse("sv_sound AllChatMessageSound.wav")
	end
end

------------------------
-- SAYTEAM CHAT SOUND --
------------------------
addhook("sayteam","team_chat_message_sound")
function team_chat_message_sound(id,team_chat_text)
print("000255000Chat Message Sounds v1.2: Team Chat Message.")
	for id = 1,32 do
		if (team_chat_text~="") then
			-- Spectator Team Chat (Team 0)
			if (player(id,"exists")) and (player(id,"team") == 0) then
				-- parse("sv_sound2 "..id.." Env/Click2.wav")
				parse("sv_sound2 "..id.." TeamChatMessageSound.wav")
			end
			-- Terrorist Team Chat (Team 1)
			if (player(id,"exists")) and (player(id,"team") == 1) then
				-- parse("sv_sound2 "..id.." Env/Click2.wav")
				parse("sv_sound2 "..id.." TeamChatMessageSound.wav")
			end
			-- Counter-Terrorist Team Chat (Team 2) and VIP Chat (Team 3)
			if (player(id,"exists")) and (player(id,"team") >= 2) then
				-- parse("sv_sound2 "..id.." Env/Click2.wav")
				parse("sv_sound2 "..id.." TeamChatMessageSound.wav")
			end
		end
	end
end
